package com.chenyang.nse.bussiness.entity.orm.table.core.strategy.masking.relevance;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Map;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_console_appdm_fieldinfo"
)
public class MaksingJoinFieldInfo extends TBaseEntity {
   private String columnname;
   private String dataareaid;
   private String ruleid;
   private String tableid;
   private String maskingid;
   @Transient
   private Map<String, Object> map;

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getTableid() {
      return this.tableid;
   }

   public void setTableid(String tableid) {
      this.tableid = tableid;
   }

   public String getMaskingid() {
      return this.maskingid;
   }

   public void setMaskingid(String maskingid) {
      this.maskingid = maskingid;
   }

   public Map<String, Object> getMap() {
      return this.map;
   }

   public void setMap(Map<String, Object> map) {
      this.map = map;
   }
}
